
#include "rmessage.h"

#define SIZE 8192
#define TIMES 10000

main(int argc, char** argv)
{
	int	s, port, res, i;
	char	*host, buf[SIZE];
	struct sockaddr_in to;

	if (argc != 3) {
		fprintf(stderr, "usage: client {host} {port}\n");
		exit(1);
	}

	host = argv[1];
	port  = atoi(argv[2]);

	fprintf(stderr, "sending to \"%s\" on port %d.\n", host, port);

	rm_init();
	s = rm_socket();
	if (s < 0) {
		perror("rm_socket");
		exit(1);
	}
	
	res = rm_fill_sockaddr(&to, host, port);
	if (s < 0) {
		perror("rm_fill_sockaddr");
		exit(1);
	}

	fprintf(stderr, "Starting to send.\n");

	for (i=0; i < TIMES; i++) {
		res = rm_sendto(s, buf, SIZE, 0, &to);
		if (s < 0) {
			perror("rm_sendto");
			exit(1);
		}
	}

	sleep(1);

	rm_close(s);
}

