/*
 * namespace.h
 *
 * Anywhere this file is included, the syscalls overridden in sockets.c
 * will be renamed to avoid namespace collisions. Doing so lets certain
 * modules use the overridden versions of functions, while others use
 * the original syscalls.
 */

#define socket socket__mt
#define bind bind__mt
#define listen listen__mt
#define accept accept__mt
#define connect connect__mt
#define send send__mt
#define recv recv__mt
#define read read__mt
#define readv readv__mt
#define write write__mt
#define writev writev__mt
#define setsockopt setsockopt__mt
#define getpeername getpeername__mt
#define close close__mt
#define select select__mt
#define shutdown shutdown__mt

