
#include "rmessage.h"
#include "mocktcp.h"

#define SIZE 100

main(int argc, char** argv)
{
	int	s, port, res, i=0, *ints;
	char	*host, largebuf[100*1024];
	struct sockaddr_in a;

	if (argc != 3) {
		fprintf(stderr, "usage: client {host} {port}\n");
		exit(1);
	}

	host = argv[1];
	port  = atoi(argv[2]);

	fprintf(stderr, "sending to \"%s\" on port %d.\n", host, port);

	mt_init();
	s = mt_socket();
	if (s < 0) {
		perror("mt_open");
		exit(1);
	}

	res = mt_connect(s, host, port);
	if (res < 0) {
		perror("mt_connect");
		exit(1);
	}

	fprintf(stderr, "connection established.\n");

	ints = (int*) largebuf;
	for (i=0; i < SIZE/sizeof(int); i++)
		ints[i] = i;

	res = mt_send(s, largebuf, SIZE, MSG_EOF);
	/*
	res = mt_send(s, largebuf, 1023, 0);
	*/
	if (res < 0) {
		perror("mt_send");
		exit(1);
	}

	sleep(1);
	/*
	mt_close(s);
	*/
}
