
#include "rmessage.h"
#include "mocktcp.h"


main(int argc, char** argv)
{
	int	s, port, res, i=0, j, s2;
	int	counts[16], *m;
	char	buf[256], x;
	struct sockaddr_in from, client;
	struct timeval t = {1, 0};

	if (argc != 2) {
		fprintf(stderr, "usage: server {port}\n");
		exit(1);
	}

	port  = atoi(argv[1]);

	fprintf(stderr, "Server waiting on port %d.\n", port);
	bzero(&counts, 16 * sizeof(int));

	rm_init();
	s = rm_socket();
	if (s < 0) {
		perror("rm_socket");
		exit(1);
	}

	res = rm_bind(s, port);
	if (res < 0) {
		perror("rm_bind");
		exit(1);
	}

	res = recv_vec(s, buf, 256, NULL, 0, MSG_PEEK, NULL);
	if (res < 0) {
		perror("recv_from peek failed");
		exit(1);
	}

	fprintf(stderr, "Peeked %d bytes.\n", res);

	res = recv_vec(s, buf, 256, NULL, 0, 0, NULL);
	if (res < 0) {
		perror("recv_from failed");
		exit(1);
	}

	fprintf(stderr, "Received %d bytes.\n", res);
}


